{
    "fields": [
        {
            "doc": "Sample Id (e.g, LP00012645_5GH))",
            "name": "sampleId",
            "type": "string"
        },
        {
            "doc": "Lab sample Id",
            "name": "labSampleId",
            "type": "int"
        },
        {
            "doc": "Source",
            "name": "source",
            "type": [
                "null",
                {
                    "name": "SampleSource",
                    "symbols": [
                        "TUMOUR",
                        "BONE_MARROW_ASPIRATE_TUMOUR_SORTED_CELLS",
                        "BONE_MARROW_ASPIRATE_TUMOUR_CELLS",
                        "BLOOD",
                        "SALIVA",
                        "FIBROBLAST",
                        "TISSUE"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "Product",
            "name": "product",
            "type": [
                "null",
                {
                    "name": "Product",
                    "symbols": [
                        "DNA",
                        "RNA"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "preparationMethod",
            "name": "preparationMethod",
            "type": [
                "null",
                {
                    "name": "PreparationMethod",
                    "symbols": [
                        "EDTA",
                        "ORAGENE",
                        "FF",
                        "FFPE",
                        "CD128_SORTED_CELLS",
                        "ASPIRATE"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "gelPhase (eg cruk, brc, cll, iip, main)",
            "name": "programmePhase",
            "type": [
                "null",
                {
                    "name": "ProgrammePhase",
                    "symbols": [
                        "CRUK",
                        "OXFORD",
                        "CLL",
                        "IIP",
                        "MAIN",
                        "EXPT"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "In the format YYYY-MM-DDTHH:MM:SS+0000",
            "name": "clinicalSampleDateTime",
            "type": [
                "null",
                "string"
            ]
        }
    ],
    "name": "GermlineSample",
    "namespace": "org.gel.models.participant.avro",
    "type": "record"
}